## Units

Units

## Functions

#define | GO_CM_TO_EMU ()
#define | GO_CM_TO_IN ()
#define | GO_CM_TO_PT ()
#define | GO_CM_TO_UN ()
#define | GO_EMU_TO_CM ()
#define | GO_EMU_TO_IN ()
#define | GO_EMU_TO_PT ()
#define | GO_EMU_TO_UN ()
#define | GO_IN_TO_CM ()
#define | GO_IN_TO_EMU ()
#define | GO_IN_TO_PT ()
#define | GO_IN_TO_UN ()
#define | GO_PT_TO_CM ()
#define | GO_PT_TO_EMU ()
#define | GO_PT_TO_IN ()
#define | GO_PT_TO_UN ()
#define | GO_UN_TO_CM ()
#define | GO_UN_TO_EMU ()
#define | GO_UN_TO_IN ()
#define | GO_UN_TO_PT ()

## Types and Values

typedef | GODistance
| GOPoint
| GORect
#define | GO_CM_PER_IN
#define | GO_EMU_PER_IN
#define | GO_PT_PER_IN
#define | GO_UN_PER_CM
#define | GO_UN_PER_EMU
#define | GO_UN_PER_IN
#define | GO_UN_PER_PT

## Description

## Functions

### GO_CM_TO_EMU()

    #define GO_CM_TO_EMU(cm) ((cm) * 100 * GO_PT_PER_IN / GO_EMU_PER_IN)

### GO_CM_TO_IN()

    #define GO_CM_TO_IN(cm)		((cm) * 100 / GO_CM_PER_IN)

### GO_CM_TO_PT()

    #define GO_CM_TO_PT(cm)		((cm) * 100 * GO_PT_PER_IN / GO_CM_PER_IN)

### GO_CM_TO_UN()

    #define GO_CM_TO_UN(cm)		((cm) * 100 * GO_UN_PER_CM)

### GO_EMU_TO_CM()

    #define GO_EMU_TO_CM(emu) ((emu) * GO_CM_PER_IN / GO_EMU_PER_IN / 100)

### GO_EMU_TO_IN()

    #define GO_EMU_TO_IN(emu) ((emu) / GO_EMU_PER_IN)

### GO_EMU_TO_PT()

    #define GO_EMU_TO_PT(emu) ((emu) * GO_PT_PER_IN / GO_EMU_PER_IN)

### GO_EMU_TO_UN()

    #define GO_EMU_TO_UN(emu) ((emu) * GO_UN_PER_EMU)

### GO_IN_TO_CM()

    #define GO_IN_TO_CM(inch) ((inch) * GO_CM_PER_IN / 100)

### GO_IN_TO_EMU()

    #define GO_IN_TO_EMU(inch) ((inch) * GO_EMU_PER_IN)

### GO_IN_TO_PT()

    #define GO_IN_TO_PT(inch) ((inch) * GO_PT_PER_IN)

### GO_IN_TO_UN()

    #define GO_IN_TO_UN(inch) ((inch) * GO_UN_PER_IN)

### GO_PT_TO_CM()

    #define GO_PT_TO_CM(pt)		((pt) * GO_CM_PER_IN / GO_PT_PER_IN / 100)

### GO_PT_TO_EMU()

    #define GO_PT_TO_EMU(pt) ((pt) * GO_EMU_PER_IN / GO_PT_PER_IN)

### GO_PT_TO_IN()

    #define GO_PT_TO_IN(pt)		((pt) / GO_PT_PER_IN)

### GO_PT_TO_UN()

    #define GO_PT_TO_UN(pt)		((pt) * GO_UN_PER_PT)

### GO_UN_TO_CM()

    #define GO_UN_TO_CM(unit) ((unit) / GO_UN_PER_CM / 100)

### GO_UN_TO_EMU()

    #define GO_UN_TO_EMU(unit) ((unit) / GO_UN_PER_EMU)

### GO_UN_TO_IN()

    #define GO_UN_TO_IN(unit) ((unit) / GO_UN_PER_IN)

### GO_UN_TO_PT()

    #define GO_UN_TO_PT(unit) ((unit) / GO_UN_PER_PT)

## Types and Values

### GODistance

    typedef gint64 GODistance;

### GOPoint

    typedef struct {
    	GODistance x;
    	GODistance y;
    } GOPoint;

#### Members

GODistance `x`; | horizontal position. |
GODistance `y`; | vertical position. |

### GORect

    typedef struct {
    	GODistance top;
    	GODistance left;
    	GODistance bottom;
    	GODistance right;
    } GORect;

#### Members

GODistance `top`; | top. |
GODistance `left`; | left. |
GODistance `bottom`; | bottom. |
GODistance `right`; | right. |

### GO_CM_PER_IN

    #define GO_CM_PER_IN 254

### GO_EMU_PER_IN

    #define GO_EMU_PER_IN 914400

### GO_PT_PER_IN

    #define GO_PT_PER_IN 72

### GO_UN_PER_CM

    #define GO_UN_PER_CM (GO_UN_PER_IN / GO_CM_PER_IN)

### GO_UN_PER_EMU

    #define GO_UN_PER_EMU (GO_UN_PER_IN / GO_EMU_PER_IN)

### GO_UN_PER_IN

    #define GO_UN_PER_IN 228600000

### GO_UN_PER_PT

    #define GO_UN_PER_PT (GO_UN_PER_IN / GO_PT_PER_IN)